dsr2xml(1)

NAME
dsr2xml - Convert DICOM SR file and data set to XML

SYNOPSIS

dsr2xml [options] dsrfile-in [xmlfile-out]

DESCRIPTION

The dsr2xml utility converts the contents of a DICOM Structured Reporting (SR) document (file format or raw data set) to XML (Extensible Markup Language). The XML Schema dsr2xml.xsd does not yet follow any standard format. However, the dsr2xml application might be enhanced in this aspect in the future (e.g. by supporting HL7/CDA - Clinical Document Architecture).

If dsr2xml reads a raw data set (DICOM data without a file format meta-header) it will attempt to guess the transfer syntax by examining the first few bytes of the file. It is not always possible to correctly guess the transfer syntax and it is better to convert a data set to a file format whenever possible (using the dcmconv utility). It is also possible to use the -f and -t[ieb] options to force dsr2xml to read a dataset with a particular transfer syntax.

PARAMETERS

dsrfile-in   DICOM SR input filename to be converted
xmlfile-out  XML output filename (default: stdout)

OPTIONS

  general options

  -h   --help
         print this help text and exit
       --version
         print version information and exit
  -d   --debug
         debug mode, print debug information
  -dd  --verbose-debug
         verbose debug mode, print more details

  processing options

character set:
  +Cr  --charset-require
         require declaration of extended charset (default)
  +Ca  --charset-assume  charset: string constant
         (latin-1 to -5, greek, cyrillic, arabic, hebrew)
         assume charset if undeclared ext. charset found

  input options

input file format:
  +f   --read-file
         read file format or data set (default)
  +fo  --read-file-only
         read file format only
  -f   --read-dataset
         read data set without file meta information
input transfer syntax:
  -t=  --read-xfer-auto
         use TS recognition (default)
  -td  --read-xfer-detect
         ignore TS specified in the file meta header
  -te  --read-xfer-little
         read with explicit VR little endian TS
  -tb  --read-xfer-big
         read with explicit VR big endian TS
  -ti  --read-xfer-implicit
         read with implicit VR little endian TS

  output options

encoding:
  +Ea  --attr-all
         encode everything as XML attribute
         (shortcut for +Ec, +Er, +Ev and +Et)
  +Ec  --attr-code
         encode code value, coding scheme designator
         and coding scheme version as XML attribute
  +Er  --attr-relationship
         encode relationship type as XML attribute
  +Ev  --attr-value-type
         encode value type as XML attribute
  +Et  --attr-template-id
         encode template id as XML attribute
  +Ee  --template-envelope
         template element encloses content items
         (requires +Wt, implies +Et)
XML structure:
  +Xs  --add-schema-reference
         add reference to XML Schema "dsr2xml.xsd"
         (not with +Ea, +Ec, +Er, +Ev, +Et, +Ee, +We)
  +Xn  --use-xml-namespace
         add XML namespace declaration to root element
writing:
  +We  --write-empty-tags
         write all tags even if their value is empty
  +Wi  --write-item-id
         always write item identifier
  +Wt  --write-template-id
         write template identification information

NOTES

  DICOM Conformance
The dsr2xml utility supports the following SOP Classes (according to DICOM 2004 and Supplement 94):

BasicTextSR                 1.2.840.10008.5.1.4.1.1.88.11
EnhancedSR                  1.2.840.10008.5.1.4.1.1.88.22
ComprehensiveSR             1.2.840.10008.5.1.4.1.1.88.33
ProcedureLog                1.2.840.10008.5.1.4.1.1.88.40
MammographyCADSR            1.2.840.10008.5.1.4.1.1.88.50
KeyObjectSelectionDocument  1.2.840.10008.5.1.4.1.1.88.59
ChestCADSR                  1.2.840.10008.5.1.4.1.1.88.65
XRayRadiationDoseSR         1.2.840.10008.5.1.4.1.1.88.67

Please note that currently only mandatory and some optional attributes are supported.

COMMAND LINE

All command line tools use the following notation for parameters: square brackets enclose optional values (0-1), three trailing dots indicate that multiple values are allowed (1-n), a combination of both means 0 to n values.

Command line options are distinguished from parameters by a leading '+' or '-' sign, respectively. Usually, order and position of command line options are arbitrary (i.e. they can appear anywhere). However, if options are mutually exclusive the rightmost appearance is used. This behaviour conforms to the standard evaluation rules of common Unix shells.

In addition, one or more command files can be specified using an '@' sign as a prefix to the filename (e.g. @command.txt). Such a command argument is replaced by the content of the corresponding text file (multiple whitespaces are treated as a single separator) prior to any further evaluation. Please note that a command file cannot contain another command file. This simple but effective approach allows to summarize common combinations of options/parameters and avoids longish and confusing command lines (an example is provided in file share/data/dumppat.txt).

ENVIRONMENT

The dsr2xml utility will attempt to load DICOM data dictionaries specified in the DCMDICTPATH environment variable. By default, i.e. if the DCMDICTPATH environment variable is not set, the file <PREFIX>/lib/dicom.dic will be loaded unless the dictionary is built into the application (default for Windows).

The default behaviour should be preferred and the DCMDICTPATH environment variable only used when alternative data dictionaries are required. The DCMDICTPATH environment variable has the same format as the Unix shell PATH variable in that a colon (':') separates entries. The data dictionary code will attempt to load each file specified in the DCMDICTPATH environment variable. It is an error if no data dictionary can be loaded.

FILES

lib/dsr2xml.xsd - XML Schema file

SEE ALSO

xml2dsr(1), dcmconv(1)

COPYRIGHT

Copyright (C) 2000-2005 by Kuratorium OFFIS e.V., Escherweg 2, 26121 Oldenburg, Germany.